Bug 120078 - mistype in cups-pie patch breaks cups building
mistype in cups-pie patch breaks cups building
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-04-05 16:22 EDT by Kir Kolyshkin
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.1.20-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-05 19:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kir Kolyshkin 2004-04-05 16:22:57 EDT
A patch (cups-pie.patch) that adds -pie to LDFLAGS have a short
mistype; instead of adding -pie to LDFLAGS in filter/Makefile it sets
LDFLAGS to -pie, thus throwing away previous LDFLAGS value taken from

That makes -L../cups disappear from LDFLAGS and leads to the following
error while rebuilding cups from src.rpm:

Linking hpgltops...
gcc -pie -o hpgltops hpgl-attr.opie hpgl-config.opie hpgl-main.opie
hpgl-prolog.opie hpgl-char.opie hpgl-input.opie hpgl-polygon.opie
hpgl-vector.opie common.o -lcups -lnsl -lcrypt   -lm
/usr/bin/ld: cannot find -lcups
collect2: ld returned 1 exit status

Probably it builds on your build system where previous version of cups
 packages are installed, so you haven't noticed the bug.

This is actual part of cups-pie.patch with error:

--- cups-1.1.20/filter/Makefile.pie     2003-11-17 22:04:53.000000000
+++ cups-1.1.20/filter/Makefile 2004-02-05 12:42:53.000000000 +0000
@@ -25,6 +25,7 @@
 include ../Makedefs
+LDFLAGS = -pie
Comment 1 Tim Waugh 2004-04-05 19:09:59 EDT
Thanks for spotting this!  Fixed in cups-1.1.20-6.

Note You need to log in before you can comment on or make changes to this bug.